Subject: [PATCH net-next 0/2] net: stmmac: qcom-ethqos: cleanups

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 12 Jan 2026 18:08:02 +0000

Hi,

Two changes:
1. In a previous commit, I missed that mac_base became write only.
Remove it.

2. Switch qcom-ethqos to use the set_clk_tx_rate() method rather than
setting the RGMII clock in the fix_mac_speed() method.

 .../ethernet/stmicro/stmmac/dwmac-qcom-ethqos.c    | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!